Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001753 [JEDI VCL] 00 JVCL Components minor always 2004-05-11 14:25 2005-07-24 10:46
Reporter anonymous View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0001753: TJvCsvDataSet includes quotes in column names
Description If the CVS file includes quotes around the header names in the first line, these quotes are included in the name of the fields as reported at run-time. They should be stripped off, as any string data with quotes around them are in the data, so that the field names do not have quotes.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006258)
tonda (reporter)
2005-01-22 10:39

Bugfix:

in JvCsvData.pas replace in line 2340

  CsvFieldName := CsvFieldOption;

with

  CsvFieldName := StripQuotes(CsvFieldOption);
(0007174)
jfudickar (developer)
2005-05-17 16:46

Changed in cvs.

Please give a short feedback if everything is right

- Issue History
Date Modified Username Field Change
2004-05-11 14:25 anonymous New Issue
2005-01-22 10:25 anonymous Note Added: 0006256
2005-01-22 10:36 tonda Issue Monitored: tonda
2005-01-22 10:37 anonymous Note Deleted: 0006256
2005-01-22 10:39 tonda Note Added: 0006258
2005-05-17 16:46 jfudickar Note Added: 0007174
2005-05-17 16:46 jfudickar Assigned To => jfudickar
2005-05-17 16:46 jfudickar Status new => feedback
2005-07-24 10:46 jfudickar Status feedback => resolved
2005-07-24 10:46 jfudickar Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker